#include <bits/stdc++.h>
using namespace std;
struct slog{
long long i,j,x;

};
slog RESS[50005];
long long N,M,NIZ1[50005][5],NIZ2[50005][5],RAZ,X,Y,xmax,ymax,xmin,ymin,N1=1;
void f1(long long br,long long RES){
 for(int i=1;i<=M;i++){
  RAZ=NIZ2[i][2]-NIZ2[i][1];
  if(RAZ>br){
    NIZ2[i][2]-=br;
    br=0;
  }
  else{
    NIZ2[i][2]=NIZ2[i][1];
    br-=NIZ2[i][1];
  }
  if(br==0)break;
 }
 for(int i=1;i<=N;i++){
    for(int j=1;j<=M;j++){
      long long x=min(NIZ2[j][2],NIZ1[i][2]);
        NIZ1[i][2]-=x;
        NIZ2[j][2]-=x;
        if(x>0){
        RESS[N1].i=i;
        RESS[N1].j=j;
        RESS[N1].x=x;
        N1++;
        }
    }
 }
 printf("%lld\n",RES);
}
void f2(long long br,long long RES){
 for(int i=1;i<=N;i++){
  RAZ=NIZ1[i][2]-NIZ1[i][1];
  if(RAZ>br){
    NIZ1[i][2]-=br;
    br=0;
  }
  else{
    NIZ1[i][2]=NIZ1[i][1];
    br-=NIZ1[i][1];
  }
  if(br==0)break;
 }
 for(int i=1;i<=N;i++){
    for(int j=1;j<=M;j++){
      long long x=min(NIZ2[j][2],NIZ1[i][2]);
        NIZ1[i][2]-=x;
        NIZ2[j][2]-=x;
        if(x>0){
        RESS[N1].i=i;
        RESS[N1].j=j;
        RESS[N1].x=x;
        N1++;
        }
    }
 }
printf("%lld\n",RES);
}
void f3(long long RES){
 for(int i=1;i<=N;i++){
    for(int j=1;j<=M;j++){
      long long x=min(NIZ2[j][2],NIZ1[i][2]);
        NIZ1[i][2]-=x;
        NIZ2[j][2]-=x;
        if(x>0){
        RESS[N1].i=i;
        RESS[N1].j=j;
        RESS[N1].x=x;
        N1++;
        }
    }
 }
 printf("%lld\n",RES);
}

int main(){
  cin>>N>>M;
  for(int i=1;i<=N;i++){
    scanf("%lld",&X);
    scanf("%lld",&Y);
    NIZ1[i][1]=X;
    NIZ1[i][2]=Y;
    xmax+=Y;
    xmin+=X;

  }
  for(int i=1;i<=M;i++){
    scanf("%lld",&X);
    scanf("%lld",&Y);
    NIZ2[i][1]=X;
    NIZ2[i][2]=Y;
    ymax+=Y;
    ymin+=X;
  }
  if(ymax-xmax>0)f1(ymax-xmax,ymax);
  if(ymax-xmax<0)f2(xmax-ymax,xmax);
  if(ymax-xmax==0)f3(ymax);
  N1-=1;
  printf("%lld\n",N1);
  for(int i=1;i<=N1;i++){
    printf("%lld ",RESS[i].i);
    printf("%lld ",RESS[i].j);
    printf("%lld\n",RESS[i].x);
  }
 return 0;
}